Subject: bug#12477: closed (Re: bug#12477: undefined reference for scm_init_popen)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 23 Nov 2012 22:41:02 +0000

Your bug report

#12477: undefined reference for scm_init_popen

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
12477: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=12477
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#12477: undefined reference for scm_init_popen
From: [email-masked] (Ludovic Courtès)
To: lin ray <[email-masked]>
Cc: [email-masked]
Date: Fri, 23 Nov 2012 23:38:34 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

lin ray <[email-masked]> skribis:

> I got an undefined reference for scm_init_popen when I complied guile 2.0.6
> on Windows, the scm_init_popen functions is introduced as following in the
> posix.c
>
> #ifdef HAVE_FORK
> static void
> scm_init_popen (void)
> {
>   scm_c_define_gsubr ("open-process", 2, 0, 1, scm_open_process);
> }
> #endif
>
> since FORK is unavaiable in Windows, so the belowing part in posix.c should
> be error.

Thanks for the report.  This is now fixed, and the fix will be in 2.0.7.

Ludo’.

Subject: undefined reference for scm_init_popen
From: lin ray <[email-masked]>
To: [email-masked]
Date: Thu, 20 Sep 2012 11:43:29 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

I got an undefined reference for scm_init_popen when I complied guile 2.0.6
on Windows, the scm_init_popen functions is introduced as following in the
posix.c

#ifdef HAVE_FORK
static void
scm_init_popen (void)
{
  scm_c_define_gsubr ("open-process", 2, 0, 1, scm_open_process);
}
#endif

since FORK is unavaiable in Windows, so the belowing part in posix.c should
be error.

  scm_c_register_extension ("libguile-" SCM_EFFECTIVE_VERSION,
                            "scm_init_popen",
       (scm_t_extension_init_func) scm_init_popen,
       NULL);

Regards
Ray Linn